6.0.0-git
2021-01-18

[#6895] uncatched permission denied in lib/Horde/Cache/file.php
Summary uncatched permission denied in lib/Horde/Cache/file.php
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester michael.menge (at) zdv (dot) uni-tuebingen (dot) de
Created 2008-06-11 (4604 days ago)
Due
Updated 2008-06-11 (4604 days ago)
Assigned
Resolved 2008-06-11 (4604 days ago)
Milestone
Patch No

History
2008-06-11 21:40:08 Chuck Hagenbuch Comment #3
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
Fixed, thanks.
2008-06-11 07:58:01 michael (dot) menge (at) zdv (dot) uni-tuebingen (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ uncatched permission denied in lib/Horde/Cache/file.php
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
I got the following Warning and Errors



Warning: dir(/tmp/gconfd-root) [function.dir]: failed to open dir: 
Keine Berechtigung in /pathtohorde/horde-3.2/lib/Horde/Cache/file.php 
on line 298



Fatal error: Call to a member function read() on a non-object in 
/pathtohorde/horde-3.2/lib/Horde/Cache/file.php on line 301



"Keine Berechtigung" means permission denied

The first time this happend yesterday evening in the sidebar,

the second time today renaming a calendar.



The error permission denied is correct as ls -ld /tmp/gconfd-root

drwx------ 2 root root 4096 2008-06-05 09:25 /tmp/gconfd-root

and apache is running as wwwrun.



It may be an configuration problem that horde trys to acces this 
directory. But if opening the filehandle failed it should not try to 
read it.


Saved Queries